Subject: `guix lint` should not check patch-file-names on inherited sources

From: Marius Bakke <[email-masked]>
Date: Wed, 19 Oct 2016 14:51:54 +0100

After patching 'notmuch', `guix lint -c patch-file-names` does not pass
for 'python-notmuch' which inherits the source from 'notmuch'.